Description: Don't hardcode pkg-config, use cross-buildable $PKG_CONFIG refs
Author: Helmut Grohne <helmut@subdivi.de>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=896891
Reviewed-by: Thomas Ward <teward@ubuntu.com>
Last-Update: 2021-12-10
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/configure.ac
+++ b/configure.ac
@@ -155,11 +155,11 @@
 
 if test "${WANT_QT_VERSION}" = detect -o "${WANT_QT_VERSION}" = 5; then
   PKG_CHECK_MODULES(Qt5, [Qt5Core >= 5.0 Qt5Widgets >= 5.0 Qt5Sql >= 5.0 Qt5Help >= 5.0], [
-    _QT_HOST_BINS="`pkg-config --variable=host_bins Qt5Core`"
+    _QT_HOST_BINS="`$PKG_CONFIG --variable=host_bins Qt5Core`"
     QT_MOC="${_QT_HOST_BINS}/moc"
     QT_UIC="${_QT_HOST_BINS}/uic"
     if test "$HOST" = "DARWIN"; then
-      FRAMEDIR=`pkg-config --variable=libdir Qt5Core`
+      FRAMEDIR=`$PKG_CONFIG --variable=libdir Qt5Core`
       Qt5_CFLAGS="$Qt5_CFLAGS -std=c++11 -F${FRAMEDIR} -I${FRAMEDIR}/QtCore.framework/Headers -I${FRAMEDIR}/QtGui.framework/Headers -I${FRAMEDIR}/QtWdgets.framework/Headers -I${FRAMEDIR}/QtSql.framework/Headers"
       Qt5_LDFLAGS=" -Xlinker -rpath -Xlinker ${FRAMEDIR}"
     fi
@@ -172,13 +172,13 @@
 
 if test "${WANT_QT_VERSION}" = detect -o "${WANT_QT_VERSION}" = 4; then
   PKG_CHECK_MODULES(Qt4, [QtCore >= 4.7 QtCore < 5.0 QtGui >= 4.7 QtGui < 5.0 QtSql >= 4.7 QtSql < 5.0 QtHelp < 5.0], [
-    QT_MOC="`pkg-config --variable=moc_location QtCore`"
-    QT_UIC="`pkg-config --variable=uic_location QtCore`"
+    QT_MOC="`$PKG_CONFIG --variable=moc_location QtCore`"
+    QT_UIC="`$PKG_CONFIG --variable=uic_location QtCore`"
     if test -n "${QT_MOC}"; then
       _QT_HOST_BINS="`dirname ${QT_MOC}`"
     fi
     if test "$HOST" = "DARWIN"; then
-      FRAMEDIR=`pkg-config --variable=libdir QtCore`
+      FRAMEDIR=`$PKG_CONFIG --variable=libdir QtCore`
       Qt4_CFLAGS="$Qt4_CFLAGS -F${FRAMEDIR} -I${FRAMEDIR}/QtCore.framework/Headers -I${FRAMEDIR}/QtGui.framework/Headers -I${FRAMEDIR}/QtSql.framework/Headers"
       Qt4_LDFLAGS=" -Xlinker -rpath -Xlinker ${FRAMEDIR}"
     fi
